<?php
//DB Data
include '../../ASEngine/AS.php';
if(!$login->isLoggedIn())
    header("Location: ../../login.php");
$user = new ASUser(ASSession::get("user_id"));
$userInfo = $user->getInfo();

//basic include files
require_once("../../../db.php");

$offer_txt = $_POST['offer_txt'];

if(isset($_POST['offer'])) {	
	if(isset($_FILES['image'])) {
		$errors= array();
		$file_name = $_FILES['image']['name'];
		$file_size =$_FILES['image']['size'];
		$file_tmp =$_FILES['image']['tmp_name'];
		$file_type=$_FILES['image']['type'];   
		$file_ext=strtolower(end(explode('.',$_FILES['image']['name'])));
		
		$expensions= array("jpeg","jpg","png"); 		
		if(in_array($file_ext,$expensions)=== false) {
			$errors[]="extension not allowed, please choose a JPEG or PNG file.";
		}
		if($file_size > 2097152) {
		$errors[]='File size must be excately 2 MB';
		}				
		if(empty($errors)==true) {
			move_uploaded_file($file_tmp,"../../../inc/images/carousel/".$file_name);
			
			mysqli_query($conn, "UPDATE general_settings SET special_offer = '$file_name', special_offer_txt = '$offer_txt' WHERE settings_id = 1");
			
			mysqli_close($conn);
			header("Location: ../../customize.php?customizemsn=updatedoffer");
		} else {
			mysqli_query($conn, "UPDATE general_settings SET special_offer_txt = '$offer_txt' WHERE settings_id = 1");
			
			mysqli_close($conn);
			header("Location: ../../customize.php?customizemsn=updatedoffer");
		}
	} 
}
?>